[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TReader.OnSetMethodProperty

Handler for setting method properties.

## Declaration

Source position: classesh.inc line 1432

`public property TReader.OnSetMethodProperty : TSetMethodPropertyEvent read FOnSetMethodProperty write FOnSetMethodProperty;`

## Description

OnSetMethodProperty can be set to handle the setting of method properties. This handler can be used by an IDE to prevent methods from actually being assigned when an object is being streamed in the designer.

## See also

TReader.OnReadStringProperty |  | Handler for translating strings when read from the stream.
TReader.OnPropertyNotFound |  | Handler for treating missing properties.